# OpenDXL Bootstrap Application
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

## Overview

The purpose of the OpenDXL Bootstrap application is to generate the structure and related
files necessary (a project) for developing a [Data Exchange Layer](http://www.mcafee.com/us/solutions/data-exchange-layer.aspx) (DXL) integration with Python. Multiple templates are available which control the type of project to generate (a client wrapper, a persistent
application which exposes services, etc.).

## Documentation

See the [Wiki](https://github.com/opendxl/opendxl-bootstrap-python/wiki) for an overview of the OpenDXL Bootstrap application and usage examples.

See the [OpenDXL Bootstrap application documentation](https://opendxl.github.io/opendxl-bootstrap-python/pydoc) for
installation instructions and usage examples.

## Installation

To start using the OpenDXL Bootstrap Application:

* Download the [Latest Release](https://github.com/opendxl/opendxl-bootstrap-python/releases/latest)
* Extract the release .zip file
* View the `README.html` file located at the root of the extracted files.
  * The `README` links to the documentation which includes installation instructions and usage examples.
  
## Bugs and Feedback

For bugs, questions and discussions please use the [GitHub Issues](https://github.com/opendxl/opendxl-bootstrap-python/issues).

## LICENSE

Copyright 2017 McAfee, Inc.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
